Simple Virtual Machine A simple but flexible virtual machine

Loading...
Searching...
No Matches
Functions
SVM process scheduler
SVM processes

This module contains API functions to handle SVM process scheduler. More...

## Functions
SVM_FUNCTION SVM_Boolean | svm_process_has_scheduler (const void *svm, const SVM_Process process)
| This function checks whether a process is attached to a scheduler.
SVM_FUNCTION SVM_Value_PluginEntryPoint | svm_process_get_scheduler (const void *svm, const SVM_Process process)
| This function returns the name of the scheduler of a process.

## Detailed Description

This module contains API functions to handle SVM process scheduler.

## Function Documentation

## ◆ svm_process_get_scheduler()

SVM_FUNCTION SVM_Value_PluginEntryPoint svm_process_get_scheduler | ( | const void * | svm,
|  | const SVM_Process | process
| ) |  |

This function returns the name of the scheduler of a process.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | process | The process from which the scheduler will be extracted.

Note
  If the process uses the default scheduler, a NULL pointer is returned.

Returns
  The name of the scheduler.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)
  FAILURE | interruption when the process is not attached to a scheduler.

## ◆ svm_process_has_scheduler()

SVM_FUNCTION SVM_Boolean svm_process_has_scheduler | ( | const void * | svm,
|  | const SVM_Process | process
| ) |  |

This function checks whether a process is attached to a scheduler.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | process | The process from which the scheduler will be extracted.

Returns
  TRUE if the process is attached to a scheduler, FALSE otherwise.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)